Coupled Cluster Linear Response Theory
======================================

Contents:
- `polar.py`: Computing CCSD dipole polarizabilities using CC linear response (CCLR) theory
- `optrot.py`: Computing specific optical rotation using CCLR
- `helper_ccpert.py`: Helper classes and functions for CCLR implementations

### References
1. [[Koch:1991:3333](https://aip.scitation.org/doi/10.1063/1.458814)] H. Koch and P. Jorgensen, *J. Chem. Phys.* **93**, 3333 (1991)
2. [[Pedersen:1997:8059](https://aip.scitation.org/doi/abs/10.1063/1.473814)] T. B. Pedersen and H. Koch, *J. Chem. Phys.* **106**, 8059 (1997)
3. [[Crawford:2006:227](https://link.springer.com/article/10.1007/s00214-005-0001-4)] T. D. Crawford, *Theor. Chem. Acc.*, **115**, 227 (2006)
4. [[Gwaltney:1996:189](https://www.sciencedirect.com/science/article/pii/0009261495013296)] S. R. Gwalrney, M. Nooijen, and R. J. Bartlett, *Chem. Phys. Lett.* **248**, 189 (1996)
5. [[Pedersen:319:2004](https://www.sciencedirect.com/science/article/pii/S0009261404009339)] T. B. Pedersen, H. Koch, L. Boman, and A. M. J. Sanches de Meras, *Chem. Phys. Lett.* **393**, 319 (2004)
6. [[Helgaker:2000](https://books.google.com/books?id=lNVLBAAAQBAJ&source=gbs_navlinks_s)] T. Helgaker, P. Jorgensen, and J. Olsen, *Molecular Electronic Structure Theory.* John Wiley & Sons, Inc., 2000.
7. [[Crawford:xxxx](https://github.com/psi4/psi4numpy/blob/master/Response-Theory/Coupled-Cluster/RHF/cc_response.pdf)] T. D. Crawford, "A Whirlwind Introduction to Coupled Cluster Response Theory," web.

