## Psi4NumPy Basics

This module seeks to familiarize the reader with the basics of interacting
directly with the class structure and functionality of the Psi4 program via the
Python interface.  For a more general overview of using Psi4 within Python,
please refer to the documentation
[here](https://github.com/dsirianni/psi4_api-docs).  In addition, more detailed
NumPy tutorials can be found at [NumPy
Quickstart](https://docs.scipy.org/doc/numpy-dev/user/quickstart.html).

Tutorials in this module introduce particular Psi4 class objects and/or specific
NumPy functionality, all of which will be employed during the course of future modules.  
Current tutorials include:

* (1a) Getting Started: Introduces the Psi4 API, and setting basic options
* (1b) Molecule: Building molecules, geometry specification, and returning molecular properties 
* (1c) Psi4-NumPy Interfacing: Description of Psi4 and NumPy data exchange
* (1d) Wavefunction: Building and passing wavefunction objects, and returning wavefunction properties
* (1e) MintsHelper: Generating 1- and 2-electron integrals, addressing memory considerations
* (1f) Tensor Manipulation: Basics of manipulating tensors in the Psi4NumPy framework.
* (1g) BasisSet: Building and manipulating basis sets within Psi4

Each of these tutorials introduces the interface to, instantiation of, and most common uses of these classes; however for a more complete (and admittedly cryptic) overview, please refer directly to the Psi4 API [here](http://psicode.org/psi4manual/master/psi4api.html#). 
