Ewald Summation
===============

This module seeks to provide an overview of the theory and implementation of Ewald summation, which is ubiquitous in molecular simuations of periodic systems.  The following topics are covered:

- Derivation of classical electrostatics from the Poisson equation.

- A discussion of conditional convergence, which plagues conventional summation methods.

- Development of the Ewald summation method, with examples, to overcome conditional convergence.

- Conversion of the Ewald sum code to use particle-mesh Ewald (PME), which is more efficient.
