Geometry Optimization Theory
============================

At present, this module contains 5 tutorials introducing the most critical aspects of molecular geometry optimization.

- (13a) This tutorial demonstrates how internal coordinates are generated automatically.  Their definition allows the construction of the Wilson 'B matrix' necessary for transformations between Cartesian and internal coordinates.

- (13b) This tutorial demonstrates how Hessians are 'guessed', and also how they may be transformed between Cartesian and internal coordinates.

- (13c) This tutorial demonstrates a Hessian 'update', or improving the Hessian based upon information collected along the optimization path.

- (13d) This tutorial demonstrates the Rational Function Optimization (RFO) method.  This enhanced Newton-Raphson (N-R) step method requires the gradient and the Hessian.  RFO is widely used, because it is superior to N-R at providing steps on surfaces which are not too far from quadratic in nature.

- (13e) This tutorial demonstrates how the backtransformation in internal coordinates is iteratively transformed into a step in cartesian coordinates, allowing for the next step in an optimization.

